#!/usr/bin/perl

# Parameters should be passed in the following order:
my $ddk_version = shift;
my $www_root = shift;
my $include_notes = shift;
my $version = shift;

print "\\newcommand*{\\DDKversion}{$ddk_version}\n";
print "\\newcommand*{\\URLhomepage}{\\url{$www_root}}\n";
print "\\newcommand*{\\bookversion}{\\url{$version}}\n";
print "\\newcommand*{\\URLddk}{\\url{$www_root/DDK}}\n";
print "\\newcommand*{\\URLddkbin}{\\url{$www_root/DDK/downloads/binaries}}\n";
print "\\newcommand*{\\URLddksrc}{\\url{$www_root/DDK/downloads/source}}\n";
if ($include_notes eq 'no') {
  print "\\def\\nonotes{1}\n";
}
